org.apache.sysds.runtime.privacy.propagation

## Class ListRemovePropagator

- java.lang.Object
- - org.apache.sysds.runtime.privacy.propagation.ListRemovePropagator

All Implemented Interfaces:
  PropagatorMultiReturn

    public class ListRemovePropagator
    extends Object
    implements PropagatorMultiReturn

### Constructor Summary

Constructors
Constructor and Description
`ListRemovePropagator(ListObject list, PrivacyConstraint listPrivacyConstraint, ScalarObject removePosition, PrivacyConstraint removePositionPrivacyConstraint)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrivacyConstraint[]` `propagate()` Activates the propagation and returns the output privacy constraints.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListRemovePropagator

    public ListRemovePropagator(ListObject list,
                                PrivacyConstraint listPrivacyConstraint,
                                ScalarObject removePosition,
                                PrivacyConstraint removePositionPrivacyConstraint)

### Method Detail

#### propagate

    public PrivacyConstraint[] propagate()

Description copied from interface: `PropagatorMultiReturn`
Activates the propagation and returns the output privacy constraints.

Specified by:
  `propagate` in interface `PropagatorMultiReturn`
Returns:
  output privacy constraints.